Custom Query (104 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (16 - 18 of 104)

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
Ticket Resolution Summary Owner Reporter
#99 fixed Host old versions of ftputil on PyPI schwa schwa
Description

On 2015-09-24, I got the following mail:

Hello sschwarzer!

Please forgive me if this is the second (or third... I swear I tested it fully
this time!) copy you've received of this message, a bug has forced us to
resend the batch. Sorry for the extra noise D:

This is an automated message because you are listed as an owner or maintainer
of the following projects on PyPI:

* ftputil
* websourcebrowser

Due to the acceptance of PEP 470, PyPI is going to remove the ability for a
project to host it's files somewhere other than on PyPI, but still have PyPI
instruct installers (such as pip) to go and fetch this file automatically.
PEP 470 removes this feature and any project relying on it will need to either
be moved to hosting on PyPI or, if you wish to continue to host it externally,
you'll need to host your own repository and instruct your users to add that
repository to their installer. To give you time to adjust, this change will not
happen for 3 months, but after that 3 month deadline has expired, unless you
act some or all of the files for the above projects will no longer be found by
automated installers.

If you wish, there is a script available at https://pypi.python.org/pypi/pep470
which can be used to automatically migrate any of the affected files for your
own projects to PyPI.

If you wish to continue to host your files yourself instead of uploading them
to PyPI, then you should follow the instructions at
https://packaging.python.org/en/latest/self_hosted_repository/.

If you have any questions about the migration, please first check the FAQ at
https://github.com/pypa/pep470/wiki/Frequently-Asked-Questions which will be
updated with any questions and answers that come up during the migration
process.

Here are all of the links that we've discovered for each project of yours which
are not currently hosted on PyPI:

ftputil:
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.1.1.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.1.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.2.1.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.2.2.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.2.3.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.2.4.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.2.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.3.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.4.1.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.4.2.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.4.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.5.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.6.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.7.1.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.7.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.8.tar.gz?format=raw
    http://www.sschwarzer.net/download/ftputil-2.0.1.tar.gz
    http://www.sschwarzer.net/download/ftputil-2.0.2.tar.gz
    http://www.sschwarzer.net/download/ftputil-2.0.3.tar.gz
    http://www.sschwarzer.net/download/ftputil-2.0.tar.gz

websourcebrowser:
    http://websourcebrowser.sschwarzer.net/trac/attachment/wiki/Download/websourcebrowser-0.4a.tar.gz?format=raw

Thanks for your time!

Donald Stufft
PyPI Administrator

The mentioned PEP 470 suggests that packages listed on PyPI should also be hosted there. The PEP gives good reasons for this.

I soon should make sure that the above mentioned packages are uploaded to PyPI.

The links http://www.sschwarzer.net/download/ftputil-*.tar.gz actually don't work and have to be changed to the ftputil site download page. The download page goes back to version 2.0.2. I guess I won't provide downloads for the older versions.

The download link for Websourcebrowser works (although the project is effectively unmaintained).

#97 duplicate Can't connect FTPHost with ftputil 3.2, Python 3.3.0 (win32) schwa ftputiluser
Description

I just installed your lib and tried to run your sample code:

with ftputil.FTPHost(FtpCred['host'],FtpCred['userid'],FtpCred['password']) as ftpHost:
        print(ftpHost.listdir(ftp_host.curdir))

Got the following error:

Traceback (most recent call last):
  File "C:\Program Files\Python33\lib\site-packages\ftputil\host.py", line 129, in _make_session
    return factory(*args, **kwargs)
  File "C:\Program Files\Python33\lib\ftplib.py", line 114, in __init__
    self.connect(host)
  File "C:\Program Files\Python33\lib\ftplib.py", line 148, in connect
    source_address=self.source_address)
  File "C:\Program Files\Python33\lib\socket.py", line 406, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 420, in run_nodebug
  File "C:\Users\npochez\Documents\GitHub\RunKS-1\SendFiles.py", line 21, in <module>
    with ftputil.FTPHost(FtpCred['host'],FtpCred['userid'],FtpCred['password']) as ftpHost:
  File "C:\Program Files\Python33\lib\site-packages\ftputil\host.py", line 69, in __init__
    self._session = self._make_session()
  File "C:\Program Files\Python33\lib\site-packages\ftputil\host.py", line 129, in _make_session
    return factory(*args, **kwargs)
  File "C:\Program Files\Python33\lib\site-packages\ftputil\error.py", line 146, in __exit__
    raise FTPOSError(*exc_value.args, original_exception=exc_value)
ftputil.error.FTPOSError: [Errno 11001] getaddrinfo failed
Debugging info: ftputil 3.2, Python 3.3.0 (win32)
#96 fixed Explain why we get "latin1-encoded unicode strings" for paths schwa schwa
Description

刘昶 wrote to the ftputil mailing list with the following observation:

test Enviroment:
Server: File Zilla Server 0.9.50 
Client OS: Win7


import ftputil
# Download some files from the login directory.
with ftputil.FTPHost("localhost", user='honglei',passwd='111111' ) as ftp_host:
    names = ftp_host.listdir(ftp_host.curdir)


I find that:
   name[-1] == u'\xe8\xbf\x99\xe6\x98\xaf\xe4\xb8\xad\xe6\x96\x87.txt', 
it is a 'utf-8' encoded filename, rather than an unicode string.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
Note: See TracQuery for help on using queries.